Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libogg
Version:	1.1.3
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.xiph.org
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Ogg bitstream and framing library.
#Requires:	
#BuildRequires:	

%description
libogg is the bitstream and framing library for the Ogg project.
It provides functions which are necessary to codec libraries like libvorbis.
For more details see: http://www.xiph.org

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so.*
%_datadir/doc

%files devel
%defattr(-,root,root)
%_includedir
%_datadir/aclocal
%_libdir/pkgconfig
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Dec 26 2005 Christian Metzen <metzench@ccux-linux.de> 1.1.3-1
- Version update, cleaned files list
* Wed Jul 13 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.2-2
- rebuild for source rpm